---
schema_version: "1"
id: 706c9addf8ef665e8e7131c83017e96a5f2ecd064d484e99088b4ff7a344c87e
title: Get Custom Invocable Actions
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-actions-invocable-custom-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-actions-invocable-custom-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 9897ba432b3e84ca0a54a767295d406e933c1dd5d23bb15ad5910d662d103a45
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Custom Invocable Actions

Gets the list of all custom invocable actions. Some actions require special access. This resource is available in REST API version 32.0 and later.

Sending email with the `emailAlert` action counts against your daily email limit for workflows. For more information, see *Daily Allocations for Email Alerts* in Salesforce Help.

When invoking an Apex action using the POST method and supplying the inputs in the request, only the following primitive types are supported as inputs:

-   `Blob`
-   `Boolean`
-   `Date`
-   `Datetime`
-   `Decimal`
-   `Double`
-   `ID`
-   `Integer`
-   `Long`
-   `String`
-   `Time`

Describe and invoke for an Apex action respect the profile access for the Apex class. If you don’t have access, an error is issued.

If you add an Apex action to a flow, and then remove the Invocable Method annotation from the Apex class, a runtime error in the flow occurs.

When a flow user invokes an autolaunched flow, the active flow version runs. If there’s no active version, the latest version runs. When a flow admin invokes a flow, the latest version always runs.

If any of these elements are used in a flow, packageable components that reference the elements aren’t automatically included in the package.

-   Apex action
-   Email alerts
-   Post to Chatter core action
-   Quick Action core action
-   Send Email core action
-   Submit for Approval core action

For example, if you use an email alert, manually add the email template that’s used by that email alert. To deploy the package successfully, manually add those referenced components to the package.

For more information about actions, see the [Actions Developer Guide](https://developer.salesforce.com/docs/atlas.en-us.api_action.meta/api_action/).

## Syntax

## URI

`/services/data/vXX.X/actions/custom`

## Formats

JSON, XML

## HTTP Methods

\\ GET

## Authentication

`Authorization: Bearer token`

## Request parameters

None required

## Example

Example Request

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/actions/custom -H "Authorization: Bearer token"
```

Example Response Body

```nolang
{
        "quickAction" : "/services/data/v68.0/actions/custom/quickAction",
       "apex" : "/services/data/v68.0/actions/custom/apex",
       "emailAlert" : "/services/data/v68.0/actions/custom/emailAlert",
       "flow" : "/services/data/v68.0/actions/custom/flow",
       "sendNotification" : "/services/data/v68.0/actions/custom/sendNotification",
       "generatePromptResponse" : "/services/data/v60.0/actions/custom/generatePromptResponse"
        }
```

